Websites and programs aren't reading my system specs correctly

Discussion in 'Mac Basics and Help' started by mandylion, Dec 20, 2010.

  1. mandylion macrumors newbie

    Joined:
    Dec 20, 2010
    #1
    Hi, I've got a 2 year old Macbook running on OS X 10.5.8. I've been having this problem with my computer and it's hard to explain...

    I went to go install Google Chrome but then the site reads:
    "Your operating system is not supported.
    Google Chrome is available for Mac OS X 10.5 or later, Intel only".
    I have 10.5 or later and my mac is intel based.

    And then...

    When I try to install Adobe Reader 9, the installer program stops and says:
    "Adobe Reader 9 cannot be installed on this computer. Make sure your system meets the requirements".
    As far as I can tell, my computer matches all the requirements listed on their website.

    The "instant movie software" for Netflix told me the same thing, when my computer met all the requirements listed.

    I'm not sure what's going on here...thanks for any help!
     
  2. stridemat Moderator

    stridemat

    Staff Member

    Joined:
    Apr 2, 2008
    Location:
    UK
    #2
    Have ou updated to the most recent version of your operating system?
     
  3. mandylion thread starter macrumors newbie

    Joined:
    Dec 20, 2010

Share This Page